Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2054856 - radare2-5.6.4 is available
Summary: radare2-5.6.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: radare2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2055029 2055030 2055043 2055044 2055103 2055104 2055130 2055145 2055146 2055152 2055153 2055256 2055257 2056758 2056759 2057173 2057174 2057175 2057176 2057707 2057708 2057709 2057710 2057712 2057713 2057714 2057715 CVE-2022-0695 2058523 2058525
TreeView+ depends on / blocked
 
Reported: 2022-02-15 20:10 UTC by Upstream Release Monitoring
Modified: 2022-03-26 15:07 UTC (History)
2 users (show)

Fixed In Version: radare2-5.6.4-1.el8 radare2-5.6.4-1.el9 radare2-5.6.4-1.el7 radare2-5.6.4-1.fc35 radare2-5.6.4-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-11 13:32:13 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2022-02-15 20:10:48 UTC
Latest upstream release: 5.6.2
Current version/release in rawhide: 5.6.0-2.fc37
URL: https://www.radare.org

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/11009/

Comment 1 Michal Ambroz 2022-03-02 00:44:21 UTC
radare2-5.6.4 is available

Pushed to rawhide

Comment 2 Michal Ambroz 2022-03-03 00:51:15 UTC
fixes CVE-2022-0518 #2055129, #2055130 - https://github.com/radareorg/radare2/commit/9650e3c352f675687bf6c6f65ff2c4a3d0e288fa
fixes CVE-2022-0519 #2055103, #2055104 - https://github.com/radareorg/radare2/commit/6c4428f018d385fc80a33ecddcb37becea685dd5
fixes CVE-2022-0520 #2055145, #2055146 - https://github.com/radareorg/radare2/commit/8525ad0b9fd596f4b251bb3d7b114e6dc7ce1ee8
fixes CVE-2022-0521 #2055043, #2055044 - https://github.com/radareorg/radare2/commit/6c4428f018d385fc80a33ecddcb37becea685dd5
fixes CVE-2022-0522 #2055029, #2055030 - https://github.com/radareorg/radare2/commit/d17a7bdf166108a29a27cd89bf454f9fa6c050d6
fixes CVE-2022-0523 #2055152, #2055153 - https://github.com/radareorg/radare2/commit/35482cb760db10f87a62569e2f8872dbd95e9269
fixes CVE-2022-0559 #2055256. #2055257 - https://github.com/radareorg/radare2/commit/b5cb90b28ec71fda3504da04e3cc94a362807f5e
fixes CVE-2022-0676 #2056758, #2056759 - https://github.com/radareorg/radare2/commit/c84b7232626badd075caf3ae29661b609164bac6
fixes CVE-2022-0712 #2057173, #2057174, 2057175, 2057176 - https://github.com/radareorg/radare2/commit/515e592b9bea0612bc63d8e93239ff35bcf645c7
fixes CVE-2022-0713 #2057707, #2057708, 2057709, 2057710 - https://github.com/radareorg/radare2/commit/a35f89f86ed12161af09330e92e5a213014e46a1
fixes CVE-2022-0476 #2057712, #2057713, 2057714, 2057715 - https://github.com/radareorg/radare2/commit/27fe8031782d3a06c3998eaa94354867864f9f1b
fixes CVE-2022-0695 #2058522, #2058523, 2058525 - https://github.com/radareorg/radare2/commit/634b886e84a5c568d243e744becc6b3223e089cf

Comment 3 Fedora Update System 2022-03-03 08:06:30 UTC
FEDORA-EPEL-2022-b2c46a790d has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-b2c46a790d

Comment 4 Fedora Update System 2022-03-03 08:06:31 UTC
FEDORA-2022-6aba96e1b8 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-6aba96e1b8

Comment 5 Fedora Update System 2022-03-03 08:06:32 UTC
FEDORA-EPEL-2022-4787cf8f7e has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-4787cf8f7e

Comment 6 Fedora Update System 2022-03-03 08:06:33 UTC
FEDORA-2022-85b277e748 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-85b277e748

Comment 7 Fedora Update System 2022-03-03 08:06:34 UTC
FEDORA-2022-7db9e7bb5b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7db9e7bb5b

Comment 8 Fedora Update System 2022-03-03 08:06:35 UTC
FEDORA-EPEL-2022-49fa7851f7 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-49fa7851f7

Comment 9 Fedora Update System 2022-03-03 16:39:11 UTC
FEDORA-2022-7db9e7bb5b has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-7db9e7bb5b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7db9e7bb5b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-03-03 16:39:17 UTC
FEDORA-EPEL-2022-49fa7851f7 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-49fa7851f7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-03-03 16:44:58 UTC
FEDORA-2022-6aba96e1b8 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-6aba96e1b8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-6aba96e1b8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-03-03 16:49:53 UTC
FEDORA-EPEL-2022-4787cf8f7e has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-4787cf8f7e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-03-03 16:50:11 UTC
FEDORA-EPEL-2022-b2c46a790d has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-b2c46a790d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-03-03 23:53:07 UTC
FEDORA-2022-85b277e748 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-85b277e748`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-85b277e748

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-03-11 13:32:13 UTC
FEDORA-EPEL-2022-49fa7851f7 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-03-11 13:43:27 UTC
FEDORA-EPEL-2022-4787cf8f7e has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-03-11 14:29:19 UTC
FEDORA-EPEL-2022-b2c46a790d has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-03-11 14:44:02 UTC
FEDORA-2022-7db9e7bb5b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-03-26 15:07:41 UTC
FEDORA-2022-85b277e748 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.